> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create client referral

> Create a new referral for a client.



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/organisations/{organisationId}/clients/{clientId}/referrals
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/clients/{clientId}/referrals:
    post:
      tags:
        - Client
      summary: Create client referral
      description: Create a new referral for a client.
      operationId: ClientController_createReferral
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: clientId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MedicalReferralCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MedicalReferral'
components:
  schemas:
    MedicalReferralCreateParams:
      type: object
      properties:
        issuedAt:
          type: string
        providerNumber:
          type: string
          maxLength: 255
        providerName:
          type: string
          maxLength: 255
      required:
        - issuedAt
        - providerNumber
        - providerName
    MedicalReferral:
      type: object
      properties:
        id:
          type: string
        issuedAt:
          type: string
        providerNumber:
          type: string
        providerName:
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - issuedAt
        - providerNumber
        - providerName
        - createdAt

````